package com.ym.mec.biz.dal.dto;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2021/5/24 0024
 */
public class EduHomeworkCardDto {

    private String groupId;

    private Integer subjectId;

    private Long courseId;

    private Long homeworkId;

    private String content;

    private String courseName;

    private Date courseStartTime;

    private Integer teacherId;

    private String teacherName;

    private String teacherAvatar;

    private Integer exceptStudentNum;

    private Integer submitStudentNum;

    private Integer repliedStudentNum;

    private Date createTime;

    private String musicScoreId;

    public String getMusicScoreId() {
        return musicScoreId;
    }

    public void setMusicScoreId(String musicScoreId) {
        this.musicScoreId = musicScoreId;
    }

    public String getTeacherAvatar() {
        return teacherAvatar;
    }

    public void setTeacherAvatar(String teacherAvatar) {
        this.teacherAvatar = teacherAvatar;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getHomeworkId() {
        return homeworkId;
    }

    public void setHomeworkId(Long homeworkId) {
        this.homeworkId = homeworkId;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public Date getCourseStartTime() {
        return courseStartTime;
    }

    public void setCourseStartTime(Date courseStartTime) {
        this.courseStartTime = courseStartTime;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public Integer getExceptStudentNum() {
        return exceptStudentNum;
    }

    public void setExceptStudentNum(Integer exceptStudentNum) {
        this.exceptStudentNum = exceptStudentNum;
    }

    public Integer getSubmitStudentNum() {
        return submitStudentNum;
    }

    public void setSubmitStudentNum(Integer submitStudentNum) {
        this.submitStudentNum = submitStudentNum;
    }

    public Integer getRepliedStudentNum() {
        return repliedStudentNum;
    }

    public void setRepliedStudentNum(Integer repliedStudentNum) {
        this.repliedStudentNum = repliedStudentNum;
    }
}
